Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaExternal

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaExternal

Direct Known Subclasses:
  XmlSchemaImport, XmlSchemaInclude, XmlSchemaRedefine

    public abstract class XmlSchemaExternal

extends XmlSchemaAnnotated

An abstract class. Provides information about the included schema.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`protected` | `XmlSchemaExternal()` Creates new XmlSchemaExternal

Method Summary
`XmlSchema` | `getSchema()`
`java.lang.String` | `getSchemaLocation()`
`void` | `setSchema(XmlSchema schema)`
`void` | `setSchemaLocation(java.lang.String schemaLocation)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaExternal

    protected XmlSchemaExternal()

  Creates new XmlSchemaExternal

Method Detail

### getSchema

    public XmlSchema getSchema()

### setSchema

    public void setSchema(XmlSchema schema)

### getSchemaLocation

    public java.lang.String getSchemaLocation()

### setSchemaLocation

    public void setSchemaLocation(java.lang.String schemaLocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.